# H235_SRTP_SrtpKeyParameters_mki Class Reference

`#include <h235_srtp.h>`

Inheritance diagram for H235_SRTP_SrtpKeyParameters_mki:

List of all members.

## Public Member Functions

| H235_SRTP_SrtpKeyParameters_mki (unsigned tag=UniversalSequence, TagClass tagClass=UniversalTagClass)
PINDEX | GetDataLength () const
PBoolean | Decode (PASN_Stream &strm)
void | Encode (PASN_Stream &strm) const
void | PrintOn (ostream &strm) const
Comparison | Compare (const PObject &obj) const
PObject * | Clone () const

## Public Attributes

PASN_Integer | m_length
PASN_OctetString | m_value

## Constructor & Destructor Documentation

H235_SRTP_SrtpKeyParameters_mki::H235_SRTP_SrtpKeyParameters_mki | ( | unsigned | tag = `UniversalSequence`,
|  | TagClass | tagClass = `UniversalTagClass` |
| ) |  |  |

## Member Function Documentation

PINDEX H235_SRTP_SrtpKeyParameters_mki::GetDataLength | ( |  | ) | const

PBoolean H235_SRTP_SrtpKeyParameters_mki::Decode | ( | PASN_Stream & | strm | ) |

void H235_SRTP_SrtpKeyParameters_mki::Encode | ( | PASN_Stream & | strm | ) | const

void H235_SRTP_SrtpKeyParameters_mki::PrintOn | ( | ostream & | strm | ) | const

Comparison H235_SRTP_SrtpKeyParameters_mki::Compare | ( | const PObject & | obj | ) | const

PObject* H235_SRTP_SrtpKeyParameters_mki::Clone | ( |  | ) | const

## Member Data Documentation

PASN_Integer H235_SRTP_SrtpKeyParameters_mki::m_length

PASN_OctetString H235_SRTP_SrtpKeyParameters_mki::m_value

The documentation for this class was generated from the following file:

- h235_srtp.h